Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration

Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
            Dim query As String = "SELECT CustomerID FROM Customers"
            Using con As SqlConnection = New SqlConnection(constr)
                Using cmd As SqlCommand = New SqlCommand(query, con)
                    con.Open()
                    ddlCustomers.DataSource = cmd.ExecuteReader()
                    ddlCustomers.DataTextField = "CustomerID"
                    ddlCustomers.DataValueField = "CustomerID"
                    ddlCustomers.DataBind()
                    con.Close()
                    ddlCustomers.Items.Insert(0, New ListItem("--Select Customer--", ""))
                End Using
            End Using
        End If
    End Sub

    Protected Sub OnSelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs)
        Dim customerId As String = ddlCustomers.SelectedItem.Value
        Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Dim query As String = "SELECT Name, Country FROM Customers WHERE CustomerID = @CustomerID"
        Using con As SqlConnection = New SqlConnection(constr)
            Using cmd As SqlCommand = New SqlCommand(query, con)
                cmd.Parameters.AddWithValue("@CustomerID", customerId)
                con.Open()
                Dim sdr As SqlDataReader = cmd.ExecuteReader()
                If sdr.Read() Then
                    txtName.Text = sdr("Name").ToString()
                    lblCountry.Text = sdr("Country").ToString()
                End If
                con.Close()
            End Using
        End Using
    End Sub
End Class
